import Migration from "../db/Migration";
import {Connection} from "mysql";

export default class DropLegacyLogsTable extends Migration {
    public async install(connection: Connection): Promise<void> {
        await this.query('DROP TABLE IF EXISTS logs', connection);
    }

    public async rollback(): Promise<void> {
        // Do nothing
    }
}
